async function checkUpdate() {
    try {
        const res = await fetch("/api/version");
        const data = await res.json();

        const headerUpdate = document.querySelector(".header-update-btn");

        if (!headerUpdate) return;

        // Update verfügbar?
        if (data.updateAvailable) {
            // Box Shadow hinzufügen
            headerUpdate.style.animation = "update 5s infinite";
        } else {
            // Box Shadow entfernen, falls kein Update
            headerUpdate.style.boxShadow = "none";
        }

    } catch (err) {
        console.error("Fehler beim Prüfen des Updates:", err);
    }
}

// Prüfe Update direkt beim Laden der Seite
window.addEventListener("DOMContentLoaded", checkUpdate);